Subject: Re: Embedded initrd with static programs

From: Martin Hicks <[email-masked]>
Date: Tue, 23 Dec 2003 11:35:55 -0500

On Tue, Dec 23, 2003 at 05:06:55PM +0100, ARIBAUD Albert wrote:
>
> > So basically I need the other two programs also statically
> > compiled, does anyone of any idea on how I would go about
> > this??
>
> Mybe I am missing something, but why not use the dynamically
> linked versions and include the necessary libraries in the
> initial ramdisk?

It really depends on how many apps you're including.  If you only need
one app then copying all of glibc in is a waste.  If you've got a bunch
of apps then it's probably better to copy on the shared libs.

On the other hand, if you can get all your apps to compile against
uClibc (or one of the other small libs replacements) then you'll be much
better off.  glibc is huge.

mh

--
Martin Hicks || [email-masked] || PGP/GnuPG: 0x4C7F2BEE

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/